Subject: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: Ludovic Courtès <[email-masked]>
Date: Tue, 31 Mar 2020 17:29:35 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> * Guile-newt functions "newt-set-help-callback" and
>>   "add-component-callback" seem to be tripping over each other and I'm
>>   having a hard time trying to understand why.
>
> Ok I found out why, it was the GC that was collecting the callback
> pointers. I fixed it in Guile-newt.

Ouch.  Are there possible other such issues lurking?

> Now I pushed a 'wip-installer-help' branch that implement this
> mechanism. I'm now able to switch the installer keyboard layout from any
> step.

Woohoo, awesome!

Ludo’.